---
title: WebGL2RenderingContext.renderbufferStorageMultisample()
slug: Web/API/WebGL2RenderingContext/renderbufferStorageMultisample
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.renderbufferStorageMultisample()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns creates and initializes a renderbuffer object's data store and allows specifying a number of samples to be used.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">void <var>gl</var>.renderbufferStorageMultisample(<var>target</var>, <var>samples</var>, <var>internalFormat</var>, <var>width</var>, <var>height</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>target</dt>
 <dd>A {{domxref("GLenum")}} specifying the target renderbuffer object. Possible values:
 <ul>
  <li><code>gl.RENDERBUFFER</code>: Buffer data storage for single images in a renderable internal format.</li>
 </ul>
 </dd>
 <dt>samples</dt>
 <dd>A {{domxref("GLsizei")}} specifying the number of samples to be used for the renderbuffer storage.</dd>
 <dt>internalFormat</dt>
 <dd>A {{domxref("GLenum")}} specifying the internal format of the renderbuffer. Possible values (`gl.DEPTH_STENCIL` is not supported):
 <ul>
  <li><code>gl.R8</code></li>
  <li><code>gl.R8UI</code></li>
  <li><code>gl.R8I</code></li>
  <li><code>gl.R16UI</code></li>
  <li><code>gl.R16I</code></li>
  <li><code>gl.R32UI</code></li>
  <li><code>gl.R32I</code></li>
  <li><code>gl.RG8</code></li>
  <li><code>gl.RG8UI</code></li>
  <li><code>gl.RG8I</code></li>
  <li><code>gl.RG16UI</code></li>
  <li><code>gl.RG16I</code></li>
  <li><code>gl.RG32UI</code></li>
  <li><code>gl.RG32I</code></li>
  <li><code>gl.RGB8</code></li>
  <li><code>gl.RGBA8</code></li>
  <li><code>gl.SRGB8_ALPHA8</code></li>
  <li><code>gl.RGBA4</code></li>
  <li><code>gl.RGB565</code></li>
  <li><code>gl.RGB5_A1</code></li>
  <li><code>gl.RGB10_A2</code></li>
  <li><code>gl.RGBA8UI</code></li>
  <li><code>gl.RGBA8I</code></li>
  <li><code>gl.RGB10_A2UI</code></li>
  <li><code>gl.RGBA16UI</code></li>
  <li><code>gl.RGBA16I</code></li>
  <li><code>gl.RGBA32I</code></li>
  <li><code>gl.RGBA32UI</code></li>
  <li><code>gl.DEPTH_COMPONENT16</code></li>
  <li><code>gl.DEPTH_COMPONENT24</code></li>
  <li><code>gl.DEPTH_COMPONENT32F</code></li>
  <li><code>gl.DEPTH_STENCIL</code></li>
  <li><code>gl.DEPTH24_STENCIL8</code></li>
  <li><code>gl.DEPTH32F_STENCIL8</code></li>
  <li><code>gl.STENCIL_INDEX8</code></li>
 </ul>
 </dd>
 <dt>width</dt>
 <dd>A {{domxref("GLsizei")}} specifying the width of the renderbuffer in pixels.</dd>
 <dt>height</dt>
 <dd>A {{domxref("GLsizei")}} specifying the height of the renderbuffer in pixels.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">gl.renderbufferStorageMultisample(gl.RENDERBUFFER, 4, gl.RBGA4, 256, 256);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.5", "glRenderbufferStorageMultisample")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition for WebGL.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glRenderbufferStorageMultisample.xhtml", "glRenderbufferStorageMultisample")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL ES 3 API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.renderbufferStorageMultisample")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.renderbufferStorage()")}}</li>
 <li>{{domxref("WebGLRenderingContext.bindRenderbuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.createRenderbuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.deleteRenderbuffer()")}}</li>
 <li>{{domxref("WebGLRenderingContext.getRenderbufferParameter()")}}</li>
</ul>
